/*
  'Ridge' kwin client
  file: RidgeButton.h
  date: 08.12.2003

  (c) 2003 Jens Luetkens <j.luetkens@limitland.de>
 
  This program is free software; you can redistribute it and/or
  modify it under the terms of the GNU General Public
  License as published by the Free Software Foundation; either
  version 2 of the License, or (at your option) any later version.
 
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  General Public License for more details.
 
  You should have received a copy of the GNU General Public License
  along with this program; see the file COPYING.  If not, write to
  the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
  Boston, MA 02111-1307, USA.
*/

#ifndef KWIN_RIDGE_BUTTON_H
#define KWIN_RIDGE_BUTTON_H

#include <qwidget.h>
#include <qbitmap.h>
#include <klocale.h>
#include <kwin/kwinbutton.h>

#include "Ridge.h"

namespace KWinInternal
{

class Ridge;

class RidgeButton : public KWinInternal::KWinButton
{
	Q_OBJECT

public:

	enum Position
	{
	    Left, Mid, Right
	};

	RidgeButton(Ridge * parent, const char *name, const QString& tip);
	virtual ~RidgeButton();

protected:


	void setBitmap(const QBitmap &);
	void enterEvent(QEvent *);
	void leaveEvent(QEvent *);
	void paintEvent(QPaintEvent *);
	
protected slots:

	void slotStickyChange(bool);
	void slotMaximizeChange(bool);

private:

	QBitmap bitmap_;

	bool mouseOver_;
	bool mouseDown_;

	QColor			titleBarColor;
	QColor			titleBlendColor;

signals:

	void toggleSticky();
	void maximize(int mode);

};
}

#endif

// vim:ts=2:sw=2:tw=78:set et:
